Subject: Re: bug#43255: 28.0.50; feature/native-comp void-function subr-native-lambda-list

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Sep 2020 05:25:12 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 07 Sep 2020 19:24:17 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > That's different.  GTK and Cairo have profound effects on how Emacs
> > presents itself to the UI.  I don't think native compilation is
> > similar, or maybe I'm missing something.  What exactly did you think
> > will not be evident to the user, and why should it be evident?
> 
> No you are correct, it is essentially transparent to the user.
> 
> And this is why is not the first time that a user miss the fact that
> Emacs was compiled with the native compiler or vice versa.  Therefore I
> thought was maybe useful to give some visual feedback in the "*About GNU
> Emacs*" buffer.

Why is it important for the user to know about the native compiler?
E.g., how is it different from the C compiler switches used to build
Emacs?